From bb77151f3768b3edeca83319b28ec68d0c01f5bb Mon Sep 17 00:00:00 2001
From: yaoyongjie <yaoyongjie@uniontech.com>
Date: Thu, 10 Sep 2020 13:34:52 +0800
Subject: [PATCH] msxml3: Fix a memory leak (Valgrind).

Signed-off-by: yaoyongjie <yaoyongjie@uniontech.com>
---
 dlls/msxml3/domdoc.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dlls/msxml3/domdoc.c b/dlls/msxml3/domdoc.c
index 8d45c546fb5..279fe38c5d7 100644
--- a/dlls/msxml3/domdoc.c
+++ b/dlls/msxml3/domdoc.c
@@ -797,7 +797,10 @@ static HRESULT domdoc_load_from_stream(domdoc *doc, ISequentialStream *stream)
 
     hr = GetHGlobalFromStream(hstream, &hglobal);
     if (FAILED(hr))
+    {
+        IStream_Release(hstream);
         return hr;
+    }
 
     len = GlobalSize(hglobal);
     ptr = GlobalLock(hglobal);
@@ -807,10 +810,12 @@ static HRESULT domdoc_load_from_stream(domdoc *doc, ISequentialStream *stream)
 
     if (!xmldoc)
     {
+        IStream_Release(hstream);
         ERR("Failed to parse xml\n");
         return E_FAIL;
     }
 
+    IStream_Release(hstream);
     xmldoc->_private = create_priv();
 
     return attach_xmldoc(doc, xmldoc);
-- 
2.20.1

